package envoy.client.data.commands;

import java.util.function.Function;

/**
 * This class is the base class for all {@link SystemCommand}s that do not need
 * another argument to parse their function.
 * <p>
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>NoArgSystemCommand.java</strong><br>
 * Created: <strong>16.07.2020</strong><br>
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.1-beta
 */
public class NoArgSystemCommand extends SystemCommand<Void> {

	/**
	 * Constructs a new {@code NoArgSystemCommand} that takes no arguments.
	 *
	 * @param command the string that must be inputted to execute the given action
	 * @param action  the action that should be performed
	 * @since Envoy Client v0.1-beta
	 */
	public NoArgSystemCommand(String command, Function<Void, Void> action) { super(command, action); }
}
